ResourceSizing (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: ResourceSizing

Package org.apache.hadoop.yarn.api.records

# Class ResourceSizing

java.lang.Object
org.apache.hadoop.yarn.api.records.ResourceSizing

@Public @Unstable public abstract class ResourceSizing extends Object
`ResourceSizing` contains information for the size of a `SchedulingRequest`, such as the number of requested allocations and the resources for each allocation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceSizing()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `abstract int`
  `getNumAllocations()`
  `abstract Resource`
  `getResources()`
  `int`
  `hashCode()`
  `static ResourceSizing`
  `newInstance(int numAllocations, Resource resources)`
  `static ResourceSizing`
  `newInstance(Resource resources)`
  `abstract void`
  `setNumAllocations(int numAllocations)`
  `abstract void`
  `setResources(Resource resources)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceSizing

    public ResourceSizing()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static ResourceSizing newInstance(Resource resources)

  - ### newInstance

    @Public @Unstable public static ResourceSizing newInstance(int numAllocations, Resource resources)

  - ### getNumAllocations

    @Public @Unstable public abstract int getNumAllocations()

  - ### setNumAllocations

    @Public @Unstable public abstract void setNumAllocations(int numAllocations)

  - ### getResources

    @Public @Unstable public abstract Resource getResources()

  - ### setResources

    @Public @Unstable public abstract void setResources(Resource resources)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`